=== modified file 'AgendaView.qml'
--- AgendaView.qml	2014-08-28 13:05:12 +0000
+++ AgendaView.qml	2014-09-05 05:36:00 +0000
@@ -35,6 +35,14 @@
         eventList.positionViewAtBeginning();
     }
 
+    function hasEnabledCalendars() {
+        var enabled_calendars = eventListModel.getCollections().filter( function( item ) {
+            return item.extendedMetaData( "collection-selected" );
+        } );
+
+        return !!enabled_calendars.length;
+    }
+
     EventListModel {
         id: eventListModel
         startPeriod: currentDay.midnight();
@@ -58,12 +66,35 @@
         z:2
     }
 
-    Label{
-        text: i18n.tr("No upcoming events")
-        visible: eventListModel.itemCount === 0
+    Label {
+        id: noEventsOrCalendarsLabel
+        text: {
+            var default_title = i18n.tr( "No upcoming events" );
+
+            if ( !root.hasEnabledCalendars() ) {
+                default_title = i18n.tr("You have no calendars enabled")
+            }
+
+            return default_title;
+        }
+        visible: !root.hasEnabledCalendars() || !eventListModel.itemCount
         anchors.centerIn: parent
     }
 
+    Button {
+        text: i18n.tr( "Enbale calendars" )
+        visible: !root.hasEnabledCalendars()
+        anchors.top: noEventsOrCalendarsLabel.bottom
+        anchors.horizontalCenter: noEventsOrCalendarsLabel.horizontalCenter
+        anchors.topMargin: units.gu( 1.5 )
+        color: UbuntuColors.orange
+
+        onClicked: {
+            pageStack.push(Qt.resolvedUrl("CalendarChoicePopup.qml"),{"model":eventModel});
+            pageStack.currentPage.collectionUpdated.connect(eventModel.delayedApplyFilter);
+        }
+    }
+
     ListView{
         id: eventList
         model: eventListModel

